## kanjipad 2.0.0

=== Makefile ===
OPTIMIZE=-g -Wall
#OPTIMIZE=-O2 

GTKINC=$(shell pkg-config --cflags gtk+-2.0) -DG_DISABLE_DEPRECATED  -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
GTKLIBS=$(shell pkg-config --libs gtk+-2.0)
GLIBLIBS=$(shell pkg-config --libs glib-2.0)

PREFIX=/usr/local
DATADIR=$(PREFIX)/share

# location in which binaries are installed
BINDIR=$(PREFIX)/bin
# location in which data files will be installed
LIBDIR=$(DATADIR)/kanjipad

#
# On Win32, uncomment the following to avoid getting console windows
#
#LDFLAGS=-mwindows

INSTALL=install

####### No editing should be needed below here ##########

PACKAGE = kanjipad
VERSION = 2.0.0

OBJS = kpengine.o scoring.o util.o
CFLAGS = $(OPTIMIZE) $(GTKINC) -DFOR_PILOT_COMPAT -DKP_LIBDIR=\"$(LIBDIR)\" -DBINDIR=\"$(BINDIR)\"

all: kpengine kanjipad jdata.dat

scoring.o: jstroke/scoring.c
	$(CC) -c -o scoring.o $(CFLAGS) -Ijstroke jstroke/scoring.c

util.o: jstroke/util.c
	$(CC) -c -o util.o $(CFLAGS) -Ijstroke jstroke/util.c

kpengine: $(OBJS)
	$(CC) -o kpengine $(OBJS) $(GLIBLIBS) $(LDFLAGS)

kanjipad: kanjipad.o padarea.o
	$(CC) -o kanjipad kanjipad.o padarea.o $(GTKLIBS) $(LDFLAGS)

jdata.dat: jstroke/strokedata.h conv_jdata.pl
	perl conv_jdata.pl < jstroke/strokedata.h > jdata.dat

install: kanjipad kpengine jdata.dat
	install -d $(DESTDIR)$(BINDIR)
	install -m 0755 kanjipad $(DESTDIR)$(BINDIR)/kanjipad
	install -m 0755 kpengine $(DESTDIR)$(BINDIR)/kpengine
	install -d $(DESTDIR)$(LIBDIR)
	install -m 0644 jdata.dat $(DESTDIR)$(LIBDIR)/jdata.dat

clean:
	rm -rf *.o jdata.dat kpengine kanjipad

$(PACKAGE).spec: $(PACKAGE).spec.in
	( sed s/@VERSION@/$(VERSION)/ < $< > $@.tmp && mv $@.tmp $@ ) || ( rm $@.tmp && false )

dist: $(PACKAGE).spec
	distdir=$(PACKAGE)-$(VERSION) ;					\
	tag=`echo $$distdir | tr a-z.- A-Z__` ;				\
	cvs tag -F $$tag &&						\
	cvs export -r $$tag -d $$distdir $(PACKAGE) &&			\
	cp $(PACKAGE).spec $$distdir &&					\
	tar cvf - $$distdir | gzip -c --best > $$distdir.tar.gz &&	\
	rm -rf $$distdir

distcheck: dist
	distdir=$(PACKAGE)-$(VERSION) ;		\
	tar xvfz $$distdir.tar.gz &&		\
	cd $$distdir &&				\
	make &&					\
	cd .. &&				\
	rm -rf $$distdir

.PHONY: dist distcheck

=== debian/changelog ===
kanjipad (2.0.0-8) unstable; urgency=low

  * Explicitly link against libm. Closes: #713625.
  * Add Vcs-* fields.

 -- Dafydd Harries <daf@debian.org>  Fri, 16 Aug 2013 11:59:08 +0200

kanjipad (2.0.0-7) unstable; urgency=low

  * Update maintainer address. Closes: #687815.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update to Debhelper compatibility version 9.
  * Add ${misc:Depends} dependency.
  * Link with -Wl,--as-needed to avoid unnecessary dependencies.
  * Update standards version.

 -- Dafydd Harries <daf@debian.org>  Tue, 18 Sep 2012 14:17:07 -0400

kanjipad (2.0.0-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - use appropriate Japanese font (closes: #642943) 

 -- Hideki Yamane <henrich@debian.org>  Wed, 12 Sep 2012 10:28:03 +0900

kanjipad (2.0.0-6) unstable; urgency=low

  * Makefile:
    - Remove DISABLE_DEPRECATED flags to allow compilation with Gtk+ 2.4.
      Closes: #250161.
    - Uncommented use of -O2.

 -- Dafydd Harries <daf@muse.19inch.net>  Fri, 21 May 2004 12:57:38 +0100

kanjipad (2.0.0-5) unstable; urgency=low

  * debian/control: Fix typo "tff-kochi-mincho".

 -- Dafydd Harries <daf@muse.19inch.net>  Wed, 18 Feb 2004 17:05:57 +0000

kanjipad (2.0.0-4) unstable; urgency=low

  * debian/control: Add Recommends: ttf-kochi-gothic | tff-kochi-mincho. It
    seems that these are good fonts for using Kanjipad with, and absence of
    appropriate fonts makes Kanjipad not very usable. Closes: #227874.

 -- Dafydd Harries <daf@muse.19inch.net>  Thu, 15 Jan 2004 12:31:33 +0000

kanjipad (2.0.0-3) unstable; urgency=low

  * Use Section: x11, rather than Section: gnome.

 -- Dafydd Harries <daf@muse.19inch.net>  Tue,  6 Jan 2004 05:19:58 +0000

kanjipad (2.0.0-2) unstable; urgency=low

  * New email address.
  * Use dh_shlibdeps.
  * Tidy debian/rules a bit.
  * Remove build-stamp.
  * Acknowledgements to Robert McQueen for his help.

 -- Dafydd Harries <daf@muse.19inch.net>  Tue,  6 Jan 2004 05:19:55 +0000

kanjipad (2.0.0-1) unstable; urgency=low

  * Initial Debianization.

 -- Dafydd Harries <daf@parnassus.ath.cx>  Sat, 01 Nov 2003 16:53:42 +0000

=== debian/control ===
Source: kanjipad
Maintainer: Dafydd Harries <daf@debian.org>
Build-Depends: libgtk2.0-dev, debhelper (>> 9), quilt
Section: x11
Priority: extra
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/kanjipad.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/kanjipad.git

Package: kanjipad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: fonts-ipafont-gothic | fonts-japanese-gothic
Description: handwriting recognition tool for Kanji
 Kanjipad translates drawings by the user into Kanji characters. Translated
 characters can be copied and pasted into other applications.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/kanjipad PREFIX=/usr install

%:
	dh $@ --with quilt

## kanjipad 2.0.0-6maemo1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
-OPTIMIZE=-g -Wall
-#OPTIMIZE=-O2 
+OPTIMIZE=-O2 -g -Wall
 
-GTKINC=$(shell pkg-config --cflags gtk+-2.0) -DG_DISABLE_DEPRECATED  -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
+GTKINC=$(shell pkg-config --cflags gtk+-2.0)
 GTKLIBS=$(shell pkg-config --libs gtk+-2.0)
 GLIBLIBS=$(shell pkg-config --libs glib-2.0)

=== debian/changelog ===
kanjipad (2.0.0-6maemo1) unstable; urgency=low

  * Repackaged Debian package kanjipad 2.0.0-6 for Maemo

 -- Christian Pulvermacher <pulvermacher@gmx.de>  Fri, 26 Nov 2010 21:19:15 +0100

=== debian/control ===
Source: kanjipad
Section: user/utilities
Priority: optional
Maintainer: Christian Pulvermacher <pulvermacher@gmx.de>
Build-Depends: libgtk2.0-dev, debhelper (>> 4)
Standards-Version: 3.6.1

Package: kanjipad
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ttf-kochi-gothic | ttf-kochi-mincho
Description: handwriting recognition tool for Kanji
 Kanjipad translates drawings by the user into Kanji characters. Translated
 characters can be copied and pasted into other applications.
 Kanjipad supports about 2000 characters.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DESKTOP_DIR=usr/share/applications/hildon/

clean:
	$(MAKE) clean
	dh_clean build-stamp

build-stamp:
	dh_testdir
	$(MAKE) PREFIX=/usr
	touch build-stamp

build: build-stamp

install: build
	dh_testdir
	dh_testroot
	$(MAKE) DESTDIR=debian/kanjipad PREFIX=/usr install
	dh_install kanjipad.desktop $(DESKTOP_DIR)

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README TODO
	dh_installchangelogs ChangeLog
	dh_installman debian/*.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
